---
name: "fetchPetAudios"
mode: "api"
versionRequirements:
  - { name: "@tuya-miniapp/cloud-api", version: "1.0.5" }
---

## fetchPetAudios

> [VERSION] @tuya-miniapp/cloud-api >= 1.0.5

### Description

Get pet media files

### Parameters

`Params`

| Parameter | Type | Required | Description |
| --- | --- | --- | --- |
| `devId` | `string` | Yes | Device ID |

### Return Value

Type: `Promise<Object>`

Returns a Promise that resolves to an array of Audio
| Property | Type | Description |
| --- | --- | --- |
| `data` | `Audio[]` | Audio |

### Referenced Types

##### `type` Audio

| Property | Type | Description |
| --- | --- | --- |
| `fileNo` | `string` | Cloud storage file ID (same as fileNo in upload/download/delete APIs) |
| `fileName` | `string` | Display filename |
| `publicUrl` | `string` | Publicly accessible cloud storage file URL (if any) |


### Examples

#### Request example

```typescript
import { fetchPetAudios } from '@tuya-miniapp/cloud-api';

fetchPetAudios('vdevo167504******003')
  .then((res) => {
    console.log(res.data);
  })
  .catch();
```

#### Response example

```json
{
  "data": [
    {
      "fileNo": "file-no-1",
      "fileName": "bark.wav",
      "publicUrl": "https://example.com/storage/bark.wav"
    }
  ]
}
```
